.menu {
  position: fixed;
  inset: 0;
  z-index: 999;
  display: flex;
  background: var(--cor-fonte-oitava);
  clip-path: circle(0% at calc(98% - 1.5rem) calc(2% + 1.5rem));
  transition: clip-path 0.6s cubic-bezier(0.39, 0.58, 0.57, 1);
  overflow-y: hidden;
  /* Alterado para overflow-y */
  height: calc(
    100vh - env(safe-area-inset-bottom)
  ); /* Ajuste a altura considerando a barra de navegação inferior */
}

.menu ul {
  margin-top: 63px;
  padding: 0 5%;
  list-style: none;
  width: 100%;
  overflow-y: hidden;
  /* padding-bottom: 70px; */
}

.menu-open {
  overflow: hidden;
}

.menu li {
  margin: 15px 0;
  overflow: hidden;
  border-bottom: 1px solid #fff;
  /* text-align: center; */
}
.menu a {
  display: inline-block;
  padding-right: 0.125em;
  color: #fff !important;
  text-decoration: none;
  font-size: 1.5rem;
  transform-origin: 0% 0%;
  transform: translateY(100%) rotate(5deg);
  transition: transform 0.3s ease-in;
}

.contato-mobile-individual {
  /* border-right: 1px solid white; */
  height: 124px;
  /* margin-top: 29px; */
  padding: 0px;
  align-items: center;
  display: flex;
  left: 15px;
  padding-right: 1px;
  width: 125px;
}

.contato-mobile-individual p {
  font-size: 13px;
}

.item-mobile {
  border-right: 1px solid white;
  justify-content: center;
  display: flex;
}

.item-mobile:last-child {
  border-right: none; /* Remove a borda do último elemento */
}

.redes-menu-mobile {
  display: flex;
  justify-content: center;
  background-color: var(--clr-white);
  padding: 0.8rem;
  z-index: 999;
}

.redes-menu-mobile .redes-menu-mobile__item {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50px;
  height: 50px;
  font-size: 32px !important;
  color: var(--clr-green);
  border: 1px solid var(--clr-green);
  border-radius: 50%;
  position: relative;
}

.item-mobile p {
  color: white !important;
  text-align: center;
}

.menu a:hover,
.menu a:focus-visible {
  font-style: italic;
}
.menu-active {
  clip-path: circle(145% at calc(95% - 1.5rem) calc(2% + 1.5rem));
}
.menu-active a {
  transition: transform 0.6s cubic-bezier(0.43, 0.08, 0.31, 0.95);
  transform: translateY(0);
}
.menu-active li:nth-child(1) a {
  transition-delay: 0.68s;
  min-height: 50px;
}
.menu-active li:nth-child(2) a {
  transition-delay: 0.58s;
  min-height: 50px;
}
.menu-active li:nth-child(3) a {
  transition-delay: 0.48s;
  min-height: 50px;
}
.menu-active li:nth-child(4) a {
  transition-delay: 0.38s;
  min-height: 50px;
}

.menu-active li:nth-child(5) a {
  transition-delay: 0.28s;
  min-height: 50px;
}
.menu-active li:nth-child(6) a {
  transition-delay: 0.18s;
  min-height: 50px;
}

.menu-toggle {
  position: relative;
  z-index: 9999;
  /* top: 7px;
    right: 3%; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 3rem;
  /* height: 3rem; */
  padding: 0;
  border: none;
  background: none;
  cursor: pointer;
  transition: border-color 0.3s ease;
  margin: 0px;
}
.menu-toggle span {
  display: block;
  width: 70%;
  height: 2px;
  flex: none;
  margin: 0.25rem 0;
  background: var(--cor-quinta);
  transition: transform 0.3s ease-in-out, opacity 0.2s ease;
}
.menu-toggle-active {
  border-color: #000;
}
.menu-toggle-active span:nth-child(1) {
  transform: translateY(0.5rem) translateY(2px) rotate(135deg);
}
.menu-toggle-active span:nth-child(2) {
  opacity: 0;
  transform: scale(0.5);
}
.menu-toggle-active span:nth-child(3) {
  transform: translateY(-0.5rem) translateY(-2px) rotate(-135deg);
}

.menu-toggle-mob h1 {
  font-size: 2rem;
  color: white;
}

.menu-toggle-mob img {
  width: 100%;
}

.mobile-toggle-divisor {
  border-bottom: solid 1px #fff;
  padding-block: 1rem;
}

.icon-redes-social {
  font-size: 22px;
}

.social-icons .rede-icons {
  display: inline-block;
  font-size: 24px;
  animation: float 5s ease-in-out infinite;
  color: #fff;
}

.social-icons .behance {
  animation-delay: 1s;
}

.social-icons .vimeo {
  animation-delay: delay 2s;
}

.social-icons .insta:hover {
  color: #0101ff;
}

.social-icons .behance:hover {
  color: #0101ff;
}

.social-icons .vimeo:hover {
  color: #0101ff;
}

.title-social-mobile {
  font-size: 17px;
  letter-spacing: 1px;
  color: #fff;
}

.text-social-mobile {
  font-size: 14px;
  letter-spacing: 1px;
  color: #fff;
}

.redes-menu-mobile__item i {
  font-size: 32px;
}

@media (min-width: 992px) {
  .menu {
    display: none !important;
  }
}